{
    // Use IntelliSense to learn about possible attributes.
    // Hover to view descriptions of existing attributes.
    // For more information, visit: https://go.microsoft.com/fwlink/?linkid=830387
    "version": "0.2.0",
    "configurations": [
        {
            "name": "Debug imp (default)",
            "type": "cppdbg",
            "request": "launch",
            // Resolved by CMake Tools:
            "cwd": "${workspaceRoot}/build",
            "program": "$camitkDir$/bin/camitk-imp",
            "setupCommands": [
                {
                    // note: for prettyPrinters with gdb it is recommended to install
                    // qt5printers (for instance inside ~/.gdb directory) and setup
                    // gdb properly in ~/.gdbinit (recommended)
                    "description": "Enable pretty-printing for gdb",
                    "text": "-enable-pretty-printing",
                    "ignoreFailures": true
                }
            ],
        },
        {
            "name": "Debug imp using gdb",
            // On Linux:
            "type": "gdb",
            "request": "launch",
            "target": "$camitkDir$/bin/camitk-imp",
            // uncomment next line if you want all logs to appear in the
            // OUTPUT or TERMINAL tabs (you may also add a filename that
            // imp will automatically load when started)
            // "arguments": "--no-console",
            "cwd": "${workspaceRoot}/build",
            // note: for prettyPrinters with gdb it is recommended to install
            // qt5printers (for instance inside ~/.gdb directory) and setup
            // gdb properly in ~/.gdbinit (recommended)
            "valuesFormatting": "prettyPrinters"
        }
    ]
}
